'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatRefName = _pluginContext$format.formatRefName,
      formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: [{
      name: 'acquisitionReferenceNumber',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.acquisition.default.acquisitionReferenceNumber',
          'defaultMessage': 'Reference number'
        }
      }),
      sortBy: 'acquisitions_common:acquisitionReferenceNumber',
      width: 250
    }, {
      name: 'acquisitionSource',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.acquisition.default.acquisitionSource',
          'defaultMessage': 'Acquisition source'
        }
      }),
      formatValue: formatRefName,
      sortBy: 'acquisitions_common:acquisitionSources/0/acquisitionSource',
      width: 400
    }, {
      name: 'updatedAt',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.acquisition.default.updatedAt',
          'defaultMessage': 'Updated'
        }
      }),
      formatValue: formatTimestamp,
      sortBy: 'collectionspace_core:updatedAt',
      width: 150
    }]
  };
};