'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatTimestamp = _pluginContext$format.formatTimestamp,
      formatRefNameAsVocabularyName = _pluginContext$format.formatRefNameAsVocabularyName,
      formatServiceObjectName = _pluginContext$format.formatServiceObjectName;


  return {
    default: [{
      name: 'docName',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.authority.default.docName',
          'defaultMessage': 'Item'
        }
      }),
      width: 200
    }, {
      name: 'docType',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.authority.default.docType',
          'defaultMessage': 'Type'
        }
      }),
      formatValue: function formatValue(value, formatterContext) {
        return formatServiceObjectName(value, formatterContext);
      },
      width: 150
    }, {
      name: 'vocabulary',
      dataKey: 'refName',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.authority.default.vocabulary',
          'defaultMessage': 'Vocabulary'
        }
      }),
      formatValue: function formatValue(value, formatterContext) {
        return formatRefNameAsVocabularyName(value, formatterContext);
      },
      width: 150
    }, {
      name: 'updatedAt',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.authority.default.updatedAt',
          'defaultMessage': 'Updated'
        }
      }),
      formatValue: formatTimestamp,
      sortBy: 'collectionspace_core:updatedAt',
      width: 150
    }]
  };
};