'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatOption = _pluginContext$format.formatOption,
      formatRefNameAsVocabularyName = _pluginContext$format.formatRefNameAsVocabularyName,
      formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: [{
      name: 'termDisplayName',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.citation.default.termDisplayName',
          'defaultMessage': 'Display name'
        }
      }),
      sortBy: 'citations_common:citationTermGroupList/0/termDisplayName',
      width: 250
    }, {
      name: 'termStatus',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.citation.default.termStatus',
          'defaultMessage': 'Term status'
        }
      }),
      sortBy: 'citations_common:citationTermGroupList/0/termStatus',
      formatValue: function formatValue(data, formatterContext) {
        return formatOption('citationTermStatuses', data, formatterContext);
      },
      width: 250
    }, {
      name: 'vocabulary',
      dataKey: 'refName',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.citation.default.vocabulary',
          'defaultMessage': 'Vocabulary'
        }
      }),
      formatValue: function formatValue(value, formatterContext) {
        return formatRefNameAsVocabularyName(value, formatterContext);
      },
      width: 150
    }, {
      name: 'updatedAt',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.citation.search.updatedAt',
          'defaultMessage': 'Updated'
        }
      }),
      formatValue: formatTimestamp,
      sortBy: 'collectionspace_core:updatedAt',
      width: 150
    }]
  };
};