'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatOption = _pluginContext$format.formatOption,
      formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: [{
      name: 'conditionCheckRefNumber',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.conditioncheck.default.conditionCheckRefNumber',
          'defaultMessage': 'Reference number'
        }
      }),
      sortBy: 'conditionchecks_common:conditionCheckRefNumber',
      width: 200
    }, {
      name: 'condition',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.conditioncheck.default.condition',
          'defaultMessage': 'Condition'
        }
      }),
      sortBy: 'conditionchecks_common:conditionCheckGroupList/conditionCheckGroup/0/condition',
      formatValue: function formatValue(data, formatterContext) {
        return formatOption('conditions', data, formatterContext);
      },
      width: 450
    }, {
      name: 'updatedAt',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.conditioncheck.default.updatedAt',
          'defaultMessage': 'Updated'
        }
      }),
      formatValue: formatTimestamp,
      sortBy: 'collectionspace_core:updatedAt',
      width: 150
    }]
  };
};