'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatRefName = _pluginContext$format.formatRefName,
      formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: [{
      name: 'conservationNumber',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.conservation.default.conservationNumber',
          'defaultMessage': 'Reference number'
        }
      }),
      sortBy: 'conservation_common:conservationNumber',
      width: 250
    }, {
      name: 'status',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.conservation.default.status',
          'defaultMessage': 'Status'
        }
      }),
      formatValue: formatRefName,
      sortBy: 'conservation_common:conservationStatusGroupList/conservationStatusGroup/0',
      width: 400
    }, {
      name: 'updatedAt',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.conservation.default.updatedAt',
          'defaultMessage': 'Updated'
        }
      }),
      formatValue: formatTimestamp,
      sortBy: 'collectionspace_core:updatedAt',
      width: 150
    }]
  };
};