'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var formatTimestamp = pluginContext.formatHelpers.formatTimestamp;


  return {
    default: [{
      name: 'exhibitionNumber',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.exhibition.default.exhibitionNumber',
          'defaultMessage': 'Exhibition number'
        }
      }),
      sortBy: 'exhibitions_common:exhibitionNumber',
      width: 200
    }, {
      name: 'title',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.exhibition.default.title',
          'defaultMessage': 'Title'
        }
      }),
      sortBy: 'exhibitions_common:title',
      width: 450
    }, {
      name: 'updatedAt',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.exhibition.default.updatedAt',
          'defaultMessage': 'Updated'
        }
      }),
      formatValue: formatTimestamp,
      sortBy: 'collectionspace_core:updatedAt',
      width: 150
    }]
  };
};