'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatRefName = _pluginContext$format.formatRefName,
      formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: [{
      name: 'title',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.group.default.title',
          'defaultMessage': 'Title'
        }
      }),
      sortBy: 'groups_common:title',
      width: 250
    }, {
      name: 'owner',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.group.default.owner',
          'defaultMessage': 'Owner'
        }
      }),
      formatValue: formatRefName,
      sortBy: 'groups_common:owner',
      width: 400
    }, {
      name: 'updatedAt',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.group.default.updatedAt',
          'defaultMessage': 'Updated'
        }
      }),
      formatValue: formatTimestamp,
      sortBy: 'collectionspace_core:updatedAt',
      width: 150
    }]
  };
};