'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatRefName = _pluginContext$format.formatRefName,
      formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: [{
      name: 'entryNumber',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.intake.default.entryNumber',
          'defaultMessage': 'Entry number'
        }
      }),
      sortBy: 'intakes_common:entryNumber',
      width: 200
    }, {
      name: 'currentOwner',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.intake.default.currentOwner',
          'defaultMessage': 'Current owner'
        }
      }),
      formatValue: formatRefName,
      sortBy: 'intakes_common:currentOwner',
      width: 450
    }, {
      name: 'updatedAt',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.intake.default.updatedAt',
          'defaultMessage': 'Updated'
        }
      }),
      formatValue: formatTimestamp,
      sortBy: 'collectionspace_core:updatedAt',
      width: 150
    }]
  };
};