'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatRefName = _pluginContext$format.formatRefName,
      formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: [{
      name: 'loanInNumber',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.loanin.default.loanInNumber',
          'defaultMessage': 'Loan in number'
        }
      }),
      sortBy: 'loansin_common:loanInNumber',
      width: 250
    }, {
      name: 'lender',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.loanin.default.lender',
          'defaultMessage': 'Lender'
        }
      }),
      formatValue: formatRefName,
      sortBy: 'loansin_common:lender',
      width: 400
    }, {
      name: 'updatedAt',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.loanin.default.updatedAt',
          'defaultMessage': 'Updated'
        }
      }),
      formatValue: formatTimestamp,
      sortBy: 'collectionspace_core:updatedAt',
      width: 150
    }]
  };
};