'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatRefName = _pluginContext$format.formatRefName,
      formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: [{
      name: 'loanOutNumber',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.loanout.default.loanOutNumber',
          'defaultMessage': 'Loan out number'
        }
      }),
      sortBy: 'loansout_common:loanOutNumber',
      width: 250
    }, {
      name: 'borrower',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.loanout.default.borrower',
          'defaultMessage': 'Borrower'
        }
      }),
      formatValue: formatRefName,
      sortBy: 'loansout_common:borrower',
      width: 400
    }, {
      name: 'updatedAt',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.loanout.default.updatedAt',
          'defaultMessage': 'Updated'
        }
      }),
      formatValue: formatTimestamp,
      sortBy: 'collectionspace_core:updatedAt',
      width: 150
    }]
  };
};