'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatRefName = _pluginContext$format.formatRefName,
      formatTimestamp = _pluginContext$format.formatTimestamp,
      formatWorkflowStateIcon = _pluginContext$format.formatWorkflowStateIcon;


  return {
    default: [{
      name: 'workflowState',
      formatValue: formatWorkflowStateIcon,
      width: 16,
      flexGrow: 0,
      flexShrink: 0
    }, {
      name: 'movementReferenceNumber',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.movement.default.movementReferenceNumber',
          'defaultMessage': 'Reference number'
        }
      }),
      sortBy: 'movements_common:movementReferenceNumber',
      width: 250
    }, {
      name: 'currentLocation',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.movement.default.currentLocation',
          'defaultMessage': 'Current location'
        }
      }),
      formatValue: formatRefName,
      sortBy: 'movements_common:currentLocation',
      width: 380
    }, {
      name: 'updatedAt',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.movement.default.updatedAt',
          'defaultMessage': 'Updated'
        }
      }),
      formatValue: formatTimestamp,
      sortBy: 'collectionspace_core:updatedAt',
      width: 150
    }]
  };
};