'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatRefNameAsVocabularyName = _pluginContext$format.formatRefNameAsVocabularyName,
      formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: [{
      name: 'termDisplayName',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.person.default.termDisplayName',
          'defaultMessage': 'Display name'
        }
      }),
      sortBy: 'persons_common:personTermGroupList/0/termDisplayName',
      width: 250
    }, {
      name: 'surName',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.person.default.surName',
          'defaultMessage': 'Surname'
        }
      }),
      sortBy: 'persons_common:personTermGroupList/0/surName',
      width: 125
    }, {
      name: 'foreName',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.person.default.foreName',
          'defaultMessage': 'Forename'
        }
      }),
      sortBy: 'persons_common:personTermGroupList/0/foreName',
      width: 125
    }, {
      name: 'vocabulary',
      dataKey: 'refName',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.person.default.vocabulary',
          'defaultMessage': 'Vocabulary'
        }
      }),
      formatValue: function formatValue(value, formatterContext) {
        return formatRefNameAsVocabularyName(value, formatterContext);
      },
      width: 150
    }, {
      name: 'updatedAt',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.object.search.updatedAt',
          'defaultMessage': 'Updated'
        }
      }),
      formatValue: formatTimestamp,
      sortBy: 'collectionspace_core:updatedAt',
      width: 150
    }]
  };
};