'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatOption = _pluginContext$format.formatOption,
      formatRefName = _pluginContext$format.formatRefName,
      formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: [{
      name: 'taxonName',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.pottag.default.taxonName',
          'defaultMessage': 'Taxon name'
        }
      }),
      formatValue: formatRefName,
      sortBy: 'pottags_common:taxonName',
      width: 200
    }, {
      name: 'family',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.pottag.default.family',
          'defaultMessage': 'Family'
        }
      }),
      formatValue: formatRefName,
      sortBy: 'pottags_common:family',
      width: 200
    }, {
      name: 'printLabels',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.pottag.default.printLabels',
          'defaultMessage': 'Print labels'
        }
      }),
      sortBy: 'pottags_common:printLabels',
      formatValue: function formatValue(data, formatterContext) {
        return formatOption('printLabelOptions', data, formatterContext);
      },
      width: 150
    }, {
      name: 'updatedAt',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.pottag.default.updatedAt',
          'defaultMessage': 'Updated'
        }
      }),
      formatValue: formatTimestamp,
      sortBy: 'collectionspace_core:updatedAt',
      width: 150
    }]
  };
};