'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatRefName = _pluginContext$format.formatRefName,
      formatTimestamp = _pluginContext$format.formatTimestamp,
      formatServiceObjectName = _pluginContext$format.formatServiceObjectName,
      formatWorkflowStateIcon = _pluginContext$format.formatWorkflowStateIcon;


  return {
    default: [{
      name: 'workflowState',
      formatValue: formatWorkflowStateIcon,
      width: 16,
      flexGrow: 0,
      flexShrink: 0
    }, {
      name: 'docNumber',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.procedure.default.docNumber',
          'defaultMessage': 'Record'
        }
      }),
      // The value -might- be a refname.
      // FIXME: It could also be an option list value. How to tell?
      formatValue: function formatValue(value) {
        return formatRefName(value) || value;
      },
      width: 200
    }, {
      name: 'docName',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.procedure.default.docName',
          'defaultMessage': 'Summary'
        }
      }),
      // The value -might- be a refname.
      // FIXME: It could also be an option list value. How to tell?
      formatValue: function formatValue(value) {
        return formatRefName(value) || value;
      },
      width: 300
    }, {
      name: 'docType',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.procedure.default.docType',
          'defaultMessage': 'Type'
        }
      }),
      formatValue: function formatValue(value, formatterContext) {
        return formatServiceObjectName(value, formatterContext);
      },
      width: 150
    }, {
      name: 'updatedAt',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.procedure.default.updatedAt',
          'defaultMessage': 'Updated'
        }
      }),
      formatValue: formatTimestamp,
      sortBy: 'collectionspace_core:updatedAt',
      width: 150
    }]
  };
};