'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = function (pluginContext) {
  var _pluginContext$format = pluginContext.formatHelpers,
      formatOption = _pluginContext$format.formatOption,
      formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: [{
      name: 'valuationcontrolRefNumber',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.valuation.default.valuationcontrolRefNumber',
          'defaultMessage': 'Reference number'
        }
      }),
      sortBy: 'valuationcontrols_common:valuationcontrolRefNumber',
      width: 250
    }, {
      name: 'valueType',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.valuation.default.valueType',
          'defaultMessage': 'Type'
        }
      }),
      sortBy: 'valuationcontrols_common:valueType',
      formatValue: function formatValue(data, formatterContext) {
        return formatOption('valueTypes', data, formatterContext);
      },
      width: 400
    }, {
      name: 'updatedAt',
      messages: (0, _reactIntl.defineMessages)({
        label: {
          'id': 'column.valuation.default.updatedAt',
          'defaultMessage': 'Updated'
        }
      }),
      formatValue: formatTimestamp,
      sortBy: 'collectionspace_core:updatedAt',
      width: 150
    }]
  };
};